Self-Solve Knowledge Search

Minimize Maximize
"WARNING: You are running an unsupported web browser for the NNMi Console" messa...
Title :
"WARNING: You are running an unsupported web browser for the NNMi Console" message with IE 11 and NNMi 10.10
Document ID :
KM02324416
Product - Version:
network node manager 10.10 ;
OS :
Updated :
Fri May 13 14:46:49 GMT 2016
Summary :
WARNING: You are running an unsupported web browser for the NNMi Console due to Company Global Admin Setting for IE configured to make browser’s version behaving and displaying lower version than IE11
Problem

When trying to access the NNMi 10.10 UI with Internet Explorer (IE) 11, the following pop-up message is displayed:

WARNING: You are running an unsupported web browser for the NNMi Console.

 image text

Confirmed that IE version is 11.X: 

image text

Validated that Compatibility view setting are disabled, no websites added. 

Enterprise mode is not configured

When launching NNMi using the FQDN, the popup message appears.

When launching NNMi using server's IP Address, it is redirected to the server´s FQDN and popup is displayed.

Why NNMi UI console can not be accessed and this message is displayed, if the version used is supported, as stated in the Support Matrix?

Cause
The reason we are seeing this behavior, is because there is Company Global Admin Setting for IE configured that, the browser’s version will always use something lower than IE11, whenever any content is launched from a server matching a specific domain name pattern.
This Global configuration overwrites any local configuration.
The easiest way to confirm this, is to follow these steps:
1. open IE -> press F12 -> go to networking tab -> click the "enable network traffic button"  (green play button) -> launch the NNMi homepage URL
2. From the information displayed in this tab (networking) Pick any of the network url from the SUMMARY tab, double click and select the DETAILS tab:
image text
3. Now check the User Agent string, For IE11, it should display something similar to:
Key                  Value
User-Agent        Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko
 
But when checking this, older version will be displayed.
4. Repeat the steps with any internal site and confirm the old version is displayed too.
5. Repeat the steps accessing to a external site, for this one, you will now see the correct information is displayed.
When comparing the “User Agent string” for the intranet, it will display an older version, the external site will display the current one.
 
Here are some external references about this:
 
 
Fix
Taking this into account, the following workaround can be followed:
- Access the NNMi using another browser, Chrome per example.
-  Go to the NNMi workspace -> Configuration -> User Interface -> UI Configuration. Look for the option “Enable URL Redirect “ and uncheck it, then save and close.
Now Open IE 11 and use the server’s IP Address, this time the IP will remain and won´t be redirected to the server’s FQDN
- The Pop-up error won´t be displayed and NNMi UI will be accessible.